Intel® Software Guard Extensions (Intel® SGX)
Use hardware-based isolation and memory encryption to provide more code protection in your solutions.

Cent OS 7 support

Anandakumar
New Contributor I
465 Views

Hi Team,

 

I could see, that the latest SGX SDK versions are supported in the RHEL 7.6 but not in the CentOS 7.6.

I would like know the reason for that.

 

Thanks,

Anand

0 Kudos
1 Solution
JesusG_Intel
Moderator
441 Views

Hello Anand,


The latest SGX SDK version is 2.14 and the installation guide states: Intel® SGX developers need GCC 7.3 or later and latest GNU Binutils in order to address CVE2020-0551 in their enclaves. CentOS 7.6 is not supported because the native GCC version is too low.


Sincerely,

Jesus G.

Intel Customer Support


View solution in original post

2 Replies
JesusG_Intel
Moderator
442 Views

Hello Anand,


The latest SGX SDK version is 2.14 and the installation guide states: Intel® SGX developers need GCC 7.3 or later and latest GNU Binutils in order to address CVE2020-0551 in their enclaves. CentOS 7.6 is not supported because the native GCC version is too low.


Sincerely,

Jesus G.

Intel Customer Support


JesusG_Intel
Moderator
424 Views

This thread has been marked as answered and Intel will no longer monitor this thread. If you want a response from Intel in a follow-up question, please open a new thread.


Reply